
#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#define M_PI  3.1415926535897932384626

int main (void)
{
   FILE* fin = fopen ("cup.in", "r");
   
   for ( ; ; )
   {
      int wi, hi, ai;
      double w, h, a;
      fscanf (fin, "%d %d %d\n", &wi, &hi, &ai);
      if ( wi + hi + ai == 0 )  break;
      w = wi;  h = hi;  a = ai * M_PI / 180;
      
      if ( ai == 90 )
         printf ("%d.00\n", wi*hi);
      else
      {
         double res = 
               ( w * sin(a) >= h * cos (a) )
	       ? h * w -  w * w / tan (a) / 2
	       : w * w * tan (a) / 2;
         printf ("%.2f\n", res);
      }
   }
   
   fclose (fin);
   return 0;
}

